Bug 496133 - Review Request: EMBOSS - The European Molecular Biology Open Software Suite
Review Request: EMBOSS - The European Molecular Biology Open Software Suite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
: 555100 (view as bug list)
Depends On: 529512
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 15:43 EDT by Julian Sikorski
Modified: 2010-01-15 06:26 EST (History)
5 users (show)

See Also:
Fixed In Version: 6.1.0-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 07:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch to make EMBOSS use system pcre (6.93 KB, patch)
2009-09-26 21:30 EDT, Dominik 'Rathann' Mierzejewski
no flags Details | Diff

  None (edit)
Description Julian Sikorski 2009-04-16 15:43:29 EDT
Spec URL: http://belegdol.fedorapeople.org/EMBOSS.spec
SRPM URL: http://belegdol.fedorapeople.org/EMBOSS-6.0.1-2.fc10.src.rpm

Description: EMBOSS is a new, free Open Source software analysis package specially developed for the needs of the molecular biology (e.g. EMBnet) user community. The software automatically copes with data in a variety of formats and even allows transparent retrieval of sequence data from the web. Also, as extensive libraries are provided with the package, it is a platform to allow other scientists to develop and release software in true open source spirit. EMBOSS also integrates a range of currently available packages and tools for sequence analysis into a seamless whole.

Reference for EMBOSS: Rice,P. Longden,I. and Bleasby,A. "EMBOSS: The European Molecular Biology Open Software Suite" Trends in Genetics June 2000, vol 16, No 6. pp.276-277

This package is not yet finished, but I thought that bringing the polishing part into public cannot hurt.
It builds fine on all primary architectures: https://koji.fedoraproject.org/koji/taskinfo?taskID=1302809
rpmlint is not silent yet, since I'm not sure how to handle the warnings regarding the executable permissions:

EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.sh
EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.csh
EMBOSS-devel.x86_64: W: no-documentation
EMBOSS-java.x86_64: W: spurious-executable-perm /usr/share/doc/EMBOSS-java-6.0.1/api/makeDocs.csh
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/utils/install-jemboss-server.sh 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/utils/makeJar.csh 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/api/getClasses.pl 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/utils/makeFileManagerJNLP.sh 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/api/makeDocs.csh 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/runJemboss.sh 0644
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/utils/makeJNLP.sh 0644
EMBOSS-java.x86_64: W: spurious-executable-perm /usr/share/doc/EMBOSS-java-6.0.1/api/getClasses.pl
EMBOSS-java.x86_64: E: non-executable-script /usr/share/EMBOSS/jemboss/utils/keys.sh 0644
EMBOSS-java.x86_64: W: doc-file-dependency /usr/share/doc/EMBOSS-java-6.0.1/api/getClasses.pl /usr/bin/perl
EMBOSS-java.x86_64: W: class-path-in-manifest /usr/share/EMBOSS/jemboss/lib/axis/commons-logging.jar
EMBOSS-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libeplplot.so.3.2.7 exit@GLIBC_2.2.5
EMBOSS-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 8 errors, 9 warnings.
Comment 1 Julian Sikorski 2009-04-20 12:13:40 EDT
For those not following the devel list, it turned out that the symlinks from -devel package are required by jemboss at runtime. One more thing that needs fixing.
Comment 2 Jason Tibbitts 2009-06-03 19:40:05 EDT
Was any progress made on getting this package into shape?
Comment 3 Julian Sikorski 2009-06-04 01:31:59 EDT
Unfortunately not, my thesis work is taking up too much time currently. If somebody wants to contribute, feel free to do so.
Comment 4 Jason Tibbitts 2009-06-04 19:46:15 EDT
Please clear the Whiteboard when this package is ready to show back up in the review queue.
Comment 5 Julian Sikorski 2009-07-29 08:22:24 EDT
New release:
Spec URL: http://belegdol.fedorapeople.org/EMBOSS.spec
SRPM URL: http://belegdol.fedorapeople.org/EMBOSS-6.1.0-1.fc11.src.rpm

Changes:
- Updated to 6.1.0
- Dropped pcre-devel from BuildRequires for the time being
- Ditto --with-java and --with-javaos
- Patched jemboss/Makefile.am not to include DESTDIR in runJemboss.sh
- Install the header files in EMBOSS subdir
- Added the missing executable bits

All the rpmlint errors have been eliminated, the following warnings remain:
EMBOSS.src: W: patch-not-applied Patch1: %{name}-system-pcre.patch
EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.sh
EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.csh
EMBOSS-devel.x86_64: W: no-documentation
EMBOSS-java.x86_64: W: spurious-executable-perm /usr/share/doc/EMBOSS-java-6.1.0/api/getClasses.pl
EMBOSS-java.x86_64: W: spurious-executable-perm /usr/share/doc/EMBOSS-java-6.1.0/api/makeDocs.csh
EMBOSS-java.x86_64: W: class-path-in-manifest /usr/share/EMBOSS/jemboss/lib/client.jar
EMBOSS-java.x86_64: W: class-path-in-manifest /usr/share/EMBOSS/jemboss/lib/axis/commons-logging.jar
EMBOSS-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libeplplot.so.3.2.7 exit@GLIBC_2.2.5
EMBOSS-libs.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 10 warnings.
Comment 6 Julian Sikorski 2009-09-22 06:27:06 EDT
New release:
Spec URL: http://belegdol.fedorapeople.org/EMBOSS.spec
SRPM URL: http://belegdol.fedorapeople.org/EMBOSS-6.1.0-2.fc11.src.rpm

Changes:
- Added the upstream 1-2 patch
Comment 7 Dominik 'Rathann' Mierzejewski 2009-09-26 21:30:20 EDT
Created attachment 362799 [details]
patch to make EMBOSS use system pcre

Fixed and working (it compiles) patch to use system pcre attached. Please test if the software is working correctly.
Comment 8 Dominik 'Rathann' Mierzejewski 2009-09-26 21:35:48 EDT
(In reply to comment #5)
> All the rpmlint errors have been eliminated, the following warnings remain:
> EMBOSS-java.x86_64: W: class-path-in-manifest
> /usr/share/EMBOSS/jemboss/lib/client.jar

https://fedoraproject.org/wiki/Packaging:Java#class-path-in-manifest

> EMBOSS-java.x86_64: W: class-path-in-manifest
> /usr/share/EMBOSS/jemboss/lib/axis/commons-logging.jar

Isn't this the same as ant-commons-logging or jakarta-commons-logging, which are in Fedora already? If yes, then this needs to be fixed to use the system-provided package. If not, see above.

> EMBOSS-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libeplplot.so.3.2.7
> exit@GLIBC_2.2.5

It shouldn't do that. Please explain that to upstream.
Comment 9 Julian Sikorski 2009-09-29 14:19:54 EDT
The patch you posted seems to work correctly. When it comes to other comments, I'm not sure how to get rid of the class path from manifest files. That's because afaik the .jar files are already shipped as compressed.
Comment 10 Julian Sikorski 2009-09-29 14:26:38 EDT
I have a crazy idea of dropping the jemboss part altogether, given that I feel it's beyond me to fix all issues with it. What do you think?
Comment 11 Dominik 'Rathann' Mierzejewski 2009-09-29 17:46:44 EDT
(In reply to comment #9)
> I'm not sure how to get rid of the class path from manifest files. That's
> because afaik the .jar files are already shipped as compressed.  

Wait. You mean they are not built from source? You can't ship them like that. See https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

(In reply to comment #10)
> I have a crazy idea of dropping the jemboss part altogether, given that I feel
> it's beyond me to fix all issues with it. What do you think?  

That's acceptable as well. Just make sure all the issues are fixed when you decide to enable it later.
Comment 12 Rasmus Ory Nielsen 2009-10-01 09:02:40 EDT
FYI, /usr/bin/chaos conflicts with the 'chaos aligment tool' from the lagan package.
Comment 13 Julian Sikorski 2009-10-05 06:05:15 EDT
New release:
Spec URL: http://belegdol.fedorapeople.org/EMBOSS.spec
SRPM URL: http://belegdol.fedorapeople.org/EMBOSS-6.1.0-4.fc11.src.rpm

Changes:
* Mon Oct 05 2009 Julian Sikorski <belegdol@fedoraproject.org> - 6.1.0-4
- Renamed conflicting binaries
- Disabled jemboss

* Tue Sep 29 2009 Julian Sikorski <belegdol@fedoraproject.org> - 6.1.0-3
- Re-enabled system pcre usage
- Initial attempt at using system-wide .jar files

I have decided to yank jemboss for the time being. The shared-lib-calls-exit issue has been reported upstream.
Comment 14 Dominik 'Rathann' Mierzejewski 2009-10-13 18:52:12 EDT
Builds fine in mock/F-10/x86_64

$ rpmlint /var/lib/mock/fedora-10-x86_64/result
EMBOSS-devel.x86_64: W: no-documentation
EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.sh
EMBOSS.x86_64: W: conffile-without-noreplace-flag /etc/profile.d/emboss.csh
EMBOSS-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libeplplot.so.3.2.7 exit@GLIBC_2.2.5
EMBOSS-libs.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 5 warnings.

According to licensecheck from rpmdevtools, files in
scripts/
plplot/
ajax/
and some files in jemboss/ are missing licensing information. Please upstream to add appropriate license headers to these files.

MD5 checksum OK:
6c5163c571bc0be94d64420ce0d71824  EMBOSS-6.1.0.tar.gz

Please add comments explaining the purpose of each patch and if it has been sent upstream.

Other than that, this package looks fine and is APPROVED. Thanks for your hard work.
Comment 15 Julian Sikorski 2009-10-17 07:46:35 EDT
New release:
Spec URL: http://belegdol.fedorapeople.org/EMBOSS.spec
SRPM URL: http://belegdol.fedorapeople.org/EMBOSS-6.1.0-5.fc11.src.rpm

Changes:
* Sat Oct 17 2009 Julian Sikorski <belegdol@fedoraproject.org> - 6.1.0-5
- Added comments explaining the purpose of each patch

New Package CVS Request
=======================
Package Name: EMBOSS
Short Description: The European Molecular Biology Open Software Suite
Owners: belegdol
Branches: devel F-12 F-11
InitialCC:
Comment 16 Rasmus Ory Nielsen 2009-10-17 11:07:40 EDT
Thanks for packaging this!
Is it possible to add it to F-10 as well?

Cheers.
Comment 17 Julian Sikorski 2009-10-17 11:10:36 EDT
On the second thought, F-10 will still be around for a while, so why not.

New Package CVS Request
=======================
Package Name: EMBOSS
Short Description: The European Molecular Biology Open Software Suite
Owners: belegdol
Branches: F-12 F-11 F-10
InitialCC:
Comment 18 Rasmus Ory Nielsen 2009-10-17 11:13:27 EDT
Thanks!
Comment 19 Kevin Fenzi 2009-10-17 16:46:27 EDT
cvs done.
Comment 20 Julian Sikorski 2009-10-17 19:31:36 EDT
It turned out that the package triggers an error in gcc.
Comment 21 Fedora Update System 2009-10-18 11:15:03 EDT
EMBOSS-6.1.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/EMBOSS-6.1.0-5.fc10
Comment 22 Fedora Update System 2009-10-18 11:16:27 EDT
EMBOSS-6.1.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/EMBOSS-6.1.0-5.fc11
Comment 23 Fedora Update System 2009-10-20 14:21:05 EDT
EMBOSS-6.1.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/EMBOSS-6.1.0-5.fc12
Comment 24 Fedora Update System 2009-10-20 20:45:53 EDT
EMBOSS-6.1.0-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update EMBOSS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10641
Comment 25 Fedora Update System 2009-10-20 20:48:20 EDT
EMBOSS-6.1.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update EMBOSS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10649
Comment 26 Fedora Update System 2009-11-04 07:10:45 EST
EMBOSS-6.1.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2009-11-04 07:18:55 EST
EMBOSS-6.1.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Susi Lehtola 2010-01-15 06:26:00 EST
*** Bug 555100 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.